<?xml version='1.0'?>
<!DOCTYPE fontconfig SYSTEM 'fonts.dtd'>
<fontconfig>

<!-- Alias Helvetica and Courier New -->
  <alias>
    <family>Helvetica</family>
    <prefer><family>sans-serif</family></prefer>
  </alias>
  <alias>
    <family>Helvetica Neue</family>
    <prefer><family>sans-serif</family></prefer>
  </alias>
  <alias>
    <family>Courier New</family>
    <prefer><family>monospace</family></prefer>
  </alias>
  <alias>
    <family>Arial</family>
    <prefer><family>sans-serif</family></prefer>
  </alias>
  <alias>
    <family>Times New Roman</family>
    <prefer><family>serif</family></prefer>
  </alias>
  <alias>
    <family>Liberation Mono</family>
    <prefer><family>monospace</family></prefer>
  </alias>

<!-- Fuck Helvetica -->
  <match>
    <test name="family"><string>Helvetica</string></test>
    <edit binding="same" mode="assign" name="family">
      <string>Fira Sans</string>
    </edit>
  </match>

<!-- Set default fonts -->
  <match target="pattern">
    <test name="family" qual="any">
      <string>monospace</string>
    </test>
    <edit name="family" mode="prepend" binding="strong">
      <string>JetBrainsMono Nerd Font Mono</string>
      <string>FiraCode Nerd Font Mono</string>
    </edit>
  </match>
  <match>
    <test name="family" qual="any">
      <string>regular</string>
    </test>
    <edit name="family" mode="prepend" binding="strong">
      <string>Fira Sans</string>
      <string>FiraCode Nerd Font</string>
    </edit>
  </match>
  <match>
    <test name="family" qual="any">
      <string>sans-serif</string>
    </test>
    <edit name="family" mode="prepend" binding="strong">
      <string>Fira Sans</string>
      <string>FiraCode Nerd Font</string>
    </edit>
  </match>
  <match>
    <test name="family" qual="any">
      <string>serif</string>
    </test>
    <edit name="family" mode="prepend" binding="strong">
      <string>Fira Sans</string>
      <string>FiraCode Nerd Font</string>
    </edit>
  </match>


</fontconfig>
